| Flutter Linux Embedder |

Public Attributes | List of all members
FlKeyEmbedderCheckedKey Struct Reference

`#include <fl_key_embedder_responder_private.h>`

## Public Attributes
uint64_t | primary_physical_key
uint64_t | primary_logical_key
uint64_t | secondary_logical_key
bool | is_caps_lock

## Detailed Description

FlKeyEmbedderCheckedKey:

The information for a key that #FlKeyEmbedderResponder should keep state synchronous on. For every record of FlKeyEmbedderCheckedKey, the responder will check the #GdkEvent::state and the internal state, and synchronize events if they don't match.

FlKeyEmbedderCheckedKey can synchronize pressing states (such as whether ControlLeft is pressed) or lock states (such as whether CapsLock is enabled).

FlKeyEmbedderCheckedKey has a "primary key". For pressing states, the primary key is the left of the modifiers. For lock states, the primary key is the key.

FlKeyEmbedderCheckedKey may also have a "secondary key". It is only available to pressing states, which is the right of the modifiers.

Definition at line 33 of file fl_key_embedder_responder_private.h.

## Member Data Documentation

## ◆ is_caps_lock

bool FlKeyEmbedderCheckedKey::is_caps_lock

Definition at line 42 of file fl_key_embedder_responder_private.h.

Referenced by initialize_lock_bit_to_checked_keys(), initialize_modifier_bit_to_checked_keys(), and synchronize_lock_states().

## ◆ primary_logical_key

uint64_t FlKeyEmbedderCheckedKey::primary_logical_key

Definition at line 37 of file fl_key_embedder_responder_private.h.

Referenced by corrected_modifier_physical_key(), fl_key_embedder_responder_new(), initialize_lock_bit_to_checked_keys(), initialize_modifier_bit_to_checked_keys(), synchronize_lock_states(), and synchronize_pressed_states().

## ◆ primary_physical_key

uint64_t FlKeyEmbedderCheckedKey::primary_physical_key

Definition at line 35 of file fl_key_embedder_responder_private.h.

Referenced by corrected_modifier_physical_key(), initialize_lock_bit_to_checked_keys(), initialize_modifier_bit_to_checked_keys(), synchronize_lock_states(), and synchronize_pressed_states().

## ◆ secondary_logical_key

uint64_t FlKeyEmbedderCheckedKey::secondary_logical_key

Definition at line 39 of file fl_key_embedder_responder_private.h.

Referenced by corrected_modifier_physical_key(), initialize_modifier_bit_to_checked_keys(), and synchronize_pressed_states().

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_key_embedder_responder_private.h